diff -urN fte.orig/Makefile fte/Makefile
--- fte.orig/Makefile	Sun Oct  5 01:56:59 2003
+++ fte/Makefile	Sun Apr 13 15:28:38 2003
@@ -2,78 +2,27 @@
 # Date created:				8 May 2000
 # Whom:					gelf
 #
-# $FreeBSD: ports/editors/fte/Makefile,v 1.6 2003/05/18 09:36:17 kris Exp $
+# $FreeBSD: ports/editors/fte/Makefile,v 1.5 2003/02/21 11:38:25 knu Exp $
 #
 
 PORTNAME=		fte
-PORTVERSION=		46.5
+PORTVERSION=		20020324
 CATEGORIES=		editors
 MASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
-DISTNAME=		${PORTNAME}s${PORTVERSION:S/./b/}
-EXTRACT_SUFX=		.zip
+DISTFILES=		${PORTNAME}-${PORTVERSION:S/./b/}-src.zip \
+			${PORTNAME}-${PORTVERSION:S/./b/}-common.zip
 
 MAINTAINER=		mail@gelf.com
-COMMENT=	A full-featured text editor for X11
+COMMENT=		A full-featured text editor for X11
 
 BUILD_DEPENDS=  	unzip:${PORTSDIR}/archivers/unzip
 
+WRKSRC=			${WRKDIR}/fte
+
 EXTRACT_CMD=		unzip
 EXTRACT_BEFORE_ARGS=
 EXTRACT_AFTER_ARGS=
 USE_XLIB=		yes
 
-ADDITIONAL_DOCS=	about.html \
-			cfgfiles.html \
-			cmdopt.html \
-			colorize.html \
-			colors.html \
-			command.html \
-			contents.html \
-			events.html \
-			global.html \
-			index.html \
-			install.html \
-			modes.html \
-			perftips.html \
-			regexp.html \
-			status.html
-
-.include <bsd.port.pre.mk>
-
-.include "${FILESDIR}/conffiles"
-
-.if ${OSVERSION} >= 500113
-BROKEN=         "Does not compile (bad C++ code)"
-.endif
-
-do-build:
-	(cd ${WRKSRC}/src ; ${MAKE} -f fte-unix.mak)
-	(cd ${WRKSRC}/config ; ../src/cfte main.fte)
-
-do-install:
-	${MKDIR} ${PREFIX}/bin
-	${MKDIR} ${PREFIX}/etc/fte
-	${MKDIR} ${PREFIX}/etc/fte/kbd
-	${MKDIR} ${PREFIX}/etc/fte/menu
-
-	${INSTALL_PROGRAM} ${WRKSRC}/src/xfte ${PREFIX}/bin/fte
-	${LN} -sf ${PREFIX}/bin/fte ${PREFIX}/bin/xfte
-	${INSTALL_PROGRAM} ${WRKSRC}/src/cfte ${PREFIX}/bin/cfte
-	${INSTALL_DATA} ${WRKSRC}/config/fte-new.cnf ${PREFIX}/etc/fte/system.fterc
-.for CONFFILE in ${CONFFILES}
-	${INSTALL_DATA} ${WRKSRC}/config/${CONFFILE} ${PREFIX}/etc/fte
-.endfor
-.for KBDFILE in ${KBDFILES}
-	${INSTALL_DATA} ${WRKSRC}/config/kbd/${KBDFILE} ${PREFIX}/etc/fte/kbd
-.endfor
-	${INSTALL_DATA} ${WRKSRC}/config/menu/m_c.fte ${PREFIX}/etc/fte/menu
-	${INSTALL_DATA} ${WRKSRC}/config/menu/m_html.fte ${PREFIX}/etc/fte/menu
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${PREFIX}/share/doc/fte
-	for i in $(ADDITIONAL_DOCS); do \
-	    ${INSTALL_MAN} ${WRKSRC}/doc/$$i ${PREFIX}/share/doc/fte; \
-	done
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -urN fte.orig/distinfo fte/distinfo
--- fte.orig/distinfo	Sun Oct  5 01:56:59 2003
+++ fte/distinfo	Sun Apr 13 14:47:09 2003
@@ -1 +1,2 @@
-MD5 (ftes46b5.zip) = 8a3c0f27769e8bc937c086d7f870ca0e
+MD5 (fte-20020324-src.zip) = 6a0fb80491e4a4edfab0faf8f5a3dc49
+MD5 (fte-20020324-common.zip) = 499b051f6484df3b4f93b43fe9143d0f
diff -urN fte.orig/files/CVS/Entries fte/files/CVS/Entries
--- fte.orig/files/CVS/Entries	Sun Oct  5 01:56:59 2003
+++ fte/files/CVS/Entries	Wed Dec 31 19:00:00 1969
@@ -1,6 +0,0 @@
-/conffiles/1.1/Sun Apr 13 17:54:46 2003//
-/patch-aa/1.1/Sun Apr 13 17:54:46 2003//
-/patch-ab/1.1/Sun Apr 13 17:54:46 2003//
-/patch-ac/1.2/Sun Apr 13 17:54:46 2003//
-/patch-ad/1.1/Sun Apr 13 17:54:46 2003//
-D
diff -urN fte.orig/files/CVS/Repository fte/files/CVS/Repository
--- fte.orig/files/CVS/Repository	Sun Oct  5 01:56:59 2003
+++ fte/files/CVS/Repository	Wed Dec 31 19:00:00 1969
@@ -1 +0,0 @@
-ports/editors/fte/files
diff -urN fte.orig/files/CVS/Root fte/files/CVS/Root
--- fte.orig/files/CVS/Root	Sun Oct  5 01:56:59 2003
+++ fte/files/CVS/Root	Wed Dec 31 19:00:00 1969
@@ -1 +0,0 @@
-:pserver:anoncvs@anoncvs.FreeBSD.org:/home/ncvs
diff -urN fte.orig/files/CVS/Template fte/files/CVS/Template
--- fte.orig/files/CVS/Template	Sun Oct  5 01:56:59 2003
+++ fte/files/CVS/Template	Wed Dec 31 19:00:00 1969
@@ -1,15 +0,0 @@
-
-PR:		
-Submitted by:	
-Reviewed by:	
-Approved by:	
-Obtained from:	
-MFC after:	
-CVS: ----------------------------------------------------------------------
-CVS: PR:              Fill this in if a GNATS PR is affected by the change.
-CVS: Submitted by:    Fill this in if someone else sent in the change.
-CVS: Reviewed by:     Fill this in if someone else reviewed your modification.
-CVS: Approved by:     Fill this in if you needed approval for this commit.
-CVS: Obtained from:   Fill this in if the change is from third party software.
-CVS: MFC after:       N [day[s]|week[s]|month[s]]
-CVS:	Fill in to get MFC notification later. (days assumed unless specified)
diff -urN fte.orig/files/conffiles fte/files/conffiles
--- fte.orig/files/conffiles	Sun Oct  5 01:56:59 2003
+++ fte/files/conffiles	Wed Dec 31 19:00:00 1969
@@ -1,64 +0,0 @@
-CONFFILES= 	\
-		ab_c.fte \
-		ab_c_os2.fte \
-		color.fte \
-		global.fte \
-		k_brief.fte \
-		m_ada.fte \
-		m_asm.fte \
-		m_asm370.fte \
-		m_bin.fte \
-		m_c.fte \
-		m_clario.fte \
-		m_diff.fte \
-		m_ebnf.fte \
-		m_fort90.fte \
-		m_fte.fte \
-		m_html.fte \
-		m_ipf.fte \
-		m_java.fte \
-		m_ldsgml.fte \
-		m_make.fte \
-		m_msg.fte \
-		m_mvsasm.fte \
-		m_pascal.fte \
-		m_perl.fte \
-		m_plain.fte \
-		m_resdlg.fte \
-		m_rexx.fte \
-		m_sh.fte \
-		m_tcl.fte \
-		m_tex.fte \
-		m_texi.fte \
-		m_text.fte \
-		m_vi.fte \
-		m_xp.fte \
-		main.fte \
-		pal_blk.fte \
-		pal_blue.fte \
-		pal_wht.fte \
-		ui_brief.fte \
-		ui_fte.fte \
-		ui_fte2.fte \
-		ui_k_fte.fte \
-		ui_k_fte2.fte \
-		ui_k_ne.fte \
-		ui_k_ws.fte \
-		ui_m_fte.fte \
-		ui_m_fte2.fte \
-		ui_m_ne.fte \
-		ui_m_ws.fte \
-		ui_mew.fte \
-		ui_ne.fte \
-		ui_vi.fte \
-		ui_ws.fte \
-		m_siod.fte \
-		uicstyle.fte
-
-KBDFILES=	\
-		k_c.fte \
-		k_fte.fte \
-		k_html.fte \
-		k_java.fte \
-		k_perl.fte \
-		k_rexx.fte
diff -urN fte.orig/files/patch-aa fte/files/patch-aa
--- fte.orig/files/patch-aa	Sun Oct  5 01:56:59 2003
+++ fte/files/patch-aa	Sun Apr 13 14:52:44 2003
@@ -1,58 +1,38 @@
---- src/con_x11.cpp.orig	Mon May  8 18:28:23 2000
-+++ src/con_x11.cpp	Mon May  8 05:52:27 2000
-@@ -109,6 +109,7 @@
-     int r, g, b;
- } dcolors[] =
- {
-+#if 0
-     {   0,   0,   0 },  //     black
-     {   0,   0, 128 },  // darkBlue
-     {   0, 128,   0 },  // darkGreen
-@@ -125,6 +126,24 @@
-     { 255,   0, 255 },  //     magenta
-     { 255, 255,   0 },  //     yellow
-     { 255, 255, 255 },  //     white
-+#else
-+    {   0,   0,   0 },  //     black
-+    {   0,   0, 191 },  // darkBlue
-+    {   0, 191,   0 },  // darkGreen
-+    {   0, 191, 191 },  // darkCyan
-+    { 238,   0,   0 },  // darkRed
-+    { 205,   0, 205 },  // darkMagenta
-+    { 165,  42,  42 },  // darkYellow
-+    { 192, 192, 192 },  // paleGray
-+    { 128, 128, 128 },  // darkGray
-+    {   0,   0, 255 },  //     blue
-+    {   0, 255,   0 },  //     green
-+    {   0, 255, 255 },  //     cyan
-+    { 255,   0,  64 },  //     red
-+    { 255,   0, 255 },  //     magenta
-+    { 255, 255,  64 },  //     yellow
-+    { 255, 255, 255 },  //     white
-+#endif
- };
- 
- static void SetColor(int i) {
---- src/o_directory.cpp.orig	Mon May  8 18:28:41 2000
-+++ src/o_directory.cpp	Mon May  8 05:54:15 2000
-@@ -63,7 +63,7 @@
-                 " %04d/%02d/%02d %02d:%02d:%02d %8ld %.500s%c",
- #endif
-                 Year, Mon, Day, Hour, Min, Sec,
--                Files[Line]->Size(),
-+                (long int) Files[Line]->Size(),
-                 Files[Line]->Name(),
-                 // (Files[Line]->Type() == fiDIRECTORY)? '\\' : ' ');
-                 (Files[Line]->Type() == fiDIRECTORY)? SLASH : ' ');
---- src/sysdep.h.orig	Mon May  8 18:28:48 2000
-+++ src/sysdep.h	Mon May  8 05:18:58 2000
-@@ -33,7 +33,8 @@
-     !defined(HPUX) && \
-     !defined(AIX) && \
-     !defined(IRIX) && \
--    !defined(SUNOS)
-+    !defined(SUNOS) && \
-+    !defined(FREEBSD)
- #    error Target not supported.
- #endif
+--- src/fte-unix.mak.orig	Sun Apr 13 14:42:30 2003
++++ src/fte-unix.mak	Sun Apr 13 14:40:54 2003
+@@ -5,8 +5,8 @@
  
+ #  vfte - for Linux console directly (with limitations, see con_linux.cpp)
+ 
+-TARGETS = xfte vfte sfte
+-#TARGETS = xfte
++#TARGETS = xfte vfte sfte
++TARGETS = xfte
+ 
+ PRIMARY = xfte
+ 
+@@ -48,8 +48,12 @@
+ 
+ #######################################################################
+ # Linux
+-UOS      = -DLINUX
+-XLIBDIR  = -L/usr/X11R6/lib -lstdc++
++#UOS      = -DLINUX
++#XLIBDIR  = -L/usr/X11R6/lib -lstdc++
++
++UOS = -DFREEBSD
++XLIBDIR = -L/usr/X11R6/lib
++XINCDIR = -I/usr/X11R6/include
+ 
+ #######################################################################
+ # HP/UX
+@@ -150,7 +154,8 @@
+ 
+ # Need -lXt below if USE_XTINIT is defined
+ XLIBS    = -lX11 $(SOCKETLIB)
+-VLIBS    = -lgpm -lncurses
++#VLIBS    = -lgpm -lncurses
++VLIBS = -lncurses
+ # -ltermcap outdated by ncurses
+ SLIBS    = -lslang
+ QLIBS    = -lqt
diff -urN fte.orig/files/patch-ab fte/files/patch-ab
--- fte.orig/files/patch-ab	Sun Oct  5 01:56:59 2003
+++ fte/files/patch-ab	Wed Dec 31 19:00:00 1969
@@ -1,275 +0,0 @@
---- config/m_plain.fte-	Mon May  8 18:51:19 2000
-+++ config/m_plain.fte	Mon May  8 05:32:25 2000
-@@ -47,10 +47,10 @@
-     MultiLineHilit      = 0;
-     WordChars           = 'A-Za-z0-9_';
-     Abbreviations       = 1;
--    PersistentBlocks    = 1;         # 1 = persistent blocks, 0 = transient
--    BackSpKillBlock     = 0;         # to delete block if marked
--    DeleteKillBlock     = 0;         #  ""
--    InsertKillBlock     = 0;         # inserting char kills selected block
-+    PersistentBlocks    = 0;         # 1 = persistent blocks, 0 = transient
-+    BackSpKillBlock     = 1;         # to delete block if marked
-+    DeleteKillBlock     = 1;         #  ""
-+    InsertKillBlock     = 1;         # inserting char kills selected block
- }
- 
- # for viewing nnrrooffff output (do NOT use for editing).
---- config/main.fte-	Mon May  8 18:51:27 2000
-+++ config/main.fte	Mon May  8 05:50:09 2000
-@@ -13,7 +13,8 @@
- # experimental
- 
- #%define(COLORS_WHITE_BG)
--%define(COLORS_BLACK_BG)
-+#%define(COLORS_BLACK_BG)
-+%define(COLORS_BLUE_BG)
- 
- %if(OS_OS2)
- %define(GUI_PM)
-@@ -59,6 +60,10 @@
- include 'pal_wht.fte';
- %endif
- 
-+%if(COLORS_BLUE_BG)
-+include 'pal_blue.fte';
-+%endif
-+
- object GLOBAL {
- # fonts for GUI version
- 
-@@ -87,8 +92,8 @@
- #    WindowFont = "6x8";
- #    WindowFont = "7x13";
- #    WindowFont = "8x13";
--    WindowFont = "9x15";
--#    WindowFont = "10x20";
-+#    WindowFont = "9x15";
-+    WindowFont = "10x20";
- %endif
- }
- 
-@@ -160,8 +165,8 @@
- # ui*.fte -files define all keyboard bindings and menus.
- # pick only one file.
- %if(UI_FTE)
--include 'ui_fte.fte'; # fte CUA style bindings
--##include 'ui_fte2.fte'; # fte CUA style bindings with conditional cascade menus
-+##include 'ui_fte.fte'; # fte CUA style bindings
-+include 'ui_fte2.fte'; # fte CUA style bindings with conditional cascade menus
- %endif
- %if(UI_WS)
- include 'ui_ws.fte';  # wordstar like
-@@ -184,6 +189,9 @@
- include 'ab_c_os2.fte';
- %endif
- 
-+
-+
-+
- # some customizations
- 
- object GLOBAL {
-@@ -198,6 +206,15 @@
- #eventmap C { key [S+G-Ins] { BlockPasteStream; BlockReIndent } }
- 
- eventmap PLAIN {
-+
-+    key [S+F4] { PopGlobalBookmark }
-+    key [C+F4] { PopGlobalBookmark; PushGlobalBookmark }
-+    key [F4] { PushGlobalBookmark }
-+    key [C+Up] {WinPrev }
-+    key [C+Down] {WinNext}
-+    key [A+S+/] {BlockSelectWord}
-+    key [C+W] {BlockSelectWord}
-+
-     key [A+S+-] { # select block between {}()[]<>
-         BlockUnmark; BlockMarkStream; MatchBracket; BlockMarkStream;
-         SavePos; MoveBlockEnd;
-@@ -244,8 +261,8 @@
-         MoveLineStart; ?FindReplace /^(\s*)/ /\1\/\// "xnc"; MoveDown
-     }
-     key [G-Home] { MoveBeginOrNonWhite }
--    key [C+G-Up] { PopGlobalBookmark }
--    key [C+G-Down] { PushGlobalBookmark }
-+#    key [C+G-Up] { PopGlobalBookmark }
-+#    key [C+G-Down] { PushGlobalBookmark }
- }
- 
- object GLOBAL {
---- config/ui_k_fte2.fte-	Mon May  8 18:51:35 2000
-+++ config/ui_k_fte2.fte	Mon May  8 05:41:05 2000
-@@ -160,8 +160,8 @@
-     key   [C+G-PgUp]    { MoveFileStart }
-     key     [G-PgDn]    { MovePageDown }
-     key   [C+G-PgDn]    { MoveFileEnd }
--#    key   [A+G-Up]      { ScrollUp }
--#    key   [A+G-Down]    { ScrollDown }
-+    key   [A+Down]      { ScrollUp }
-+    key   [A+Up]    	{ ScrollDown }
- #    key   [A+G-Left]    { ScrollLeft }
- #    key   [A+G-Right]   { ScrollRight }
-     
-@@ -188,7 +188,7 @@
-     key [A+G-C+Left]    { MovePrevTab }
-     key [A+G-C+Right]   { MoveNextTab }
-     key   [C+G-Ins]     { BlockCopy }
--    key   [C+G-Del]     { BlockKill }
-+#    key   [C+G-Del]     { BlockKill }
-     key   [S+G-Ins]     { BlockPasteStream }
-     key   [S+G-Del]     { BlockCut }
-     key   [A+G-Ins]     { BlockPasteColumn }
-@@ -207,6 +207,7 @@
-     key   [G-S+Enter]   { LineInsert }
-     key   [A+G-Enter]   { LineAdd }
-     key   [A+G-Del]     { KillWord }
-+    key   [C+G-Del]     { KillWord }
-     key   [A+G-End]	{ KillToLineEnd }
-     key     [A+BackSp]  { Undo }
-     key   [A+S+BackSp]  { Redo }
-@@ -245,6 +246,7 @@
-     key     [C+G]       { FindRepeat }
-     key     [C+I]       { ListRoutines }
-     key     [C+J]       { LineJoin }
-+    key     [C+K]       { KillToLineEnd }
-     key     [C+H]       { FindRepeatReverse }
-     key     [C+M]       { DirOpen }
-     key     [C+Q]       { InsertChar }
---- /dev/null	Mon May  8 18:50:40 2000
-+++ config/pal_blue.fte	Mon May  8 05:41:33 2000
-@@ -0,0 +1,135 @@
-+# color palette (blue background)
-+
-+# the color palette is the definition of the symbolic colors
-+# that are used everywhere else in the configuration files
-+
-+# syntax of the color specification is:
-+#
-+#   fore back
-+# or 
-+#   symbolic_fore:symbolic_back
-+# or
-+#   symbolic
-+
-+color_palette {
-+    # map system colors to symbolic
-+    
-+    { 'black',                        '0 0' },
-+    { 'darkBlue',                     '1 1' },
-+    { 'darkGreen',                    '2 2' },
-+    { 'darkCyan',                     '3 3' },
-+    { 'darkRed',                      '4 4' },
-+    { 'darkMagenta',                  '5 5' },
-+    { 'brown',                        '6 6' },
-+    { 'gray',                         '7 7' },
-+    { 'darkGray',                     '8 8' },
-+    { 'blue',                         '9 9' },
-+    { 'green',                        'A A' },
-+    { 'cyan',                         'B B' },
-+    { 'red',                          'C C' },
-+    { 'magenta',                      'D D' },
-+    { 'yellow',                       'E E' },
-+    { 'white',                        'F F' },
-+        
-+    { 'ScrollBar_Arrows',             'black:gray' },
-+    { 'ScrollBar_Background',         'gray:black' },
-+    { 'ScrollBar_Slider',             'black:gray' },
-+
-+    { 'Status_Normal',                'black:darkCyan' },
-+    { 'Status_Active',                'black:gray' },
-+
-+    { 'Message_Normal',               'cyan:darkBlue' },
-+    { 'Message_Error',                'white:darkBlue' },
-+    { 'Message_Bold',                 'white:darkRed' },
-+
-+    { 'EntryField_Field',             'cyan:darkBlue' },
-+    { 'EntryField_Prompt',            'white:darkBlue' },
-+    { 'EntryField_Selection',         'black:darkGreen' },
-+
-+    { 'List_Status',                  'black:gray' },
-+    { 'List_Normal',                  'yellow:darkBlue' },
-+    { 'List_Selected',                'black:gray' },
-+
-+    { 'ASCII_Chars',                  'gray:black' },
-+
-+    { 'Menu_Background',              'black:gray' },
-+    { 'Menu_ActiveItem',              'white:darkBlue' },
-+    { 'Menu_ActiveChar',              'red:darkBlue' },
-+    { 'Menu_NormalItem',              'black:gray' },
-+    { 'Menu_NormalChar',              'red:gray' },
-+
-+    { "Choice_Title",                 'white:darkBlue' },
-+    { "Choice_Param",                 'cyan:darkBlue' },
-+    { "Choice_Background",            'gray:darkBlue' },
-+    { "Choice_ActiveItem",            'black:darkGreen' },
-+    { "Choice_ActiveChar",            'white:darkGreen' },
-+    { "Choice_NormalItem",            'white:darkBlue' },
-+    { "Choice_NormalChar",            'yellow:darkBlue' },
-+
-+    { "bg",                           'darkBlue:darkBlue' }, # background
-+    { "fg",                           'yellow:yellow' }, # foreground
-+    
-+    { 'Editor_Selected',              'black:gray' },
-+    { 'Editor_Markers',               'darkCyan:bg' },
-+    { 'Editor_FoundText',             'white:darkRed' },
-+    { 'Editor_Folds',                 'green:bg' },
-+    { 'Editor_HilitWord',             'red:bg' },
-+
-+    { 'Editor_Default',               'fg:bg' },
-+    { 'Editor_Bold',                  'cyan:bg' },
-+    { 'Editor_Keywords',              'white:bg' },
-+    { 'Editor_Keywords2',             'cyan:bg' },
-+    { 'Editor_Keywords3',             'green:bg' },
-+    { 'Editor_Keywords4',             'yellow:bg' },
-+    { 'Editor_Keywords5',             'blue:bg' },
-+
-+    { 'Msg_Header',                   'darkCyan:bg' },
-+    { 'Msg_Quotes',                   'green:bg' },
-+    { 'Msg_Tag',                      'white:bg' },
-+    { 'Msg_Signature',                'darkCyan:bg' },
-+
-+    { 'Comment',                      'white:bg' },
-+    { 'String',                       'white:bg' },
-+
-+    { 'Lang_Default',                 'Editor_Default' },
-+    { 'Lang_Number',                  'yellow:bg' },
-+    { 'Lang_DecimalNumber',           'Lang_Number' },
-+    { 'Lang_HexNumber',               'yellow:bg' },
-+    { 'Lang_OctalNumber',             'yellow:bg' },
-+    { 'Lang_BinaryNumber',            'yellow:bg' },
-+    { 'Lang_Punctuation',             'yellow:bg' },
-+    { 'Lang_String',                  'String' },
-+    { 'Lang_Comment',                 'Comment' },
-+    { 'Lang_Preprocessor',            'green:bg' },
-+    { 'Lang_Function',                'cyan:bg' },
-+    { 'Lang_Label',                   'yellow:bg' },
-+    { 'Lang_Command',                 'cyan:bg' },
-+    { 'Lang_Regexp',                  'magenta:bg' },
-+    { 'Lang_Variable',                'gray:bg' },
-+    { 'Lang_Control',                 'darkCyan:bg' },
-+    { 'Lang_Assembler',               'blue:bg' }, # embedded assembler (Pascal)
-+
-+    { 'Markup_Default',               'gray:bg' },
-+    { 'Markup_Punctuation',           'darkCyan:bg' },
-+    { 'Markup_String',                'String' },
-+    { 'Markup_Symbol',                'green:bg' },
-+    { 'Markup_Tag',                   'cyan:bg' },
-+    { 'Markup_Comment',               'Comment' },
-+    { 'Markup_Special',               'red:bg' },
-+    { 'Markup_Control',               'magenta:bg' },
-+    { 'Markup_Quotes',                'yellow:bg' },
-+    { 'Markup_Math',                  'red:bg' },
-+
-+    # diff/diff3
-+    { 'DIFF_Default',                 'Editor_Default' },
-+    { 'DIFF_Old',                     'gray:bg' },
-+    { 'DIFF_New',                     'white:bg' },
-+    { 'DIFF_Changed',                 'darkCyan:bg' },
-+
-+    # rcsmerge
-+    { 'MERGE_Default',                'Editor_Default' },
-+    { 'MERGE_Changed',                'white:bg' },
-+    { 'MERGE_Old',                    'gray:bg' },
-+    { 'MERGE_New',                    'red:bg' },
-+    { 'MERGE_Control',                'yellow:bg' },
-+}
diff -urN fte.orig/files/patch-ac fte/files/patch-ac
--- fte.orig/files/patch-ac	Sun Oct  5 01:56:59 2003
+++ fte/files/patch-ac	Wed Dec 31 19:00:00 1969
@@ -1,69 +0,0 @@
---- src/fte-unix.mak.orig	Sun Feb  1 09:29:36 1998
-+++ src/fte-unix.mak	Sat Sep  7 16:31:45 2002
-@@ -5,17 +5,24 @@
- 
- #  vfte - for Linux console directly (with limitations, see con_linux.cpp)
- 
--#TARGETS = xfte
--TARGETS = xfte vfte
-+TARGETS = xfte
-+#TARGETS = xfte vfte
- 
- PRIMARY = xfte
- 
- # choose your os here
- 
-+###
-+#   FreeBSD
-+X11BASE?=/usr/X11R6
-+UOS	= -DFREEBSD
-+XINCDIR = -I${X11BASE}/include
-+XLIBDIR = -L${X11BASE}/lib
-+
- #######################################################################
- # Linux
--UOS      = -DLINUX
--XLIBDIR  = -L/usr/X11R6/lib
-+#UOS      = -DLINUX
-+#XLIBDIR  = -L/usr/X11R6/lib
- 
- #######################################################################
- # HP/UX
-@@ -51,8 +58,8 @@
- MOC      = moc
- 
- # for GCC
--CC       = g++
--LD       = gcc
-+CXX      ?= c++
-+LD       = ${CXX}
- COPTIONS = -xc++ -Wall
- # for IRIX CC
- #CC       = CC
-@@ -64,9 +71,10 @@
- 
- #OPTIMIZE = -g
- #OPTIMIZE = -O -g
--OPTIMIZE = -O -s
-+#OPTIMIZE = -O -s
- 
--CCFLAGS  = $(OPTIMIZE) $(COPTIONS) -DUNIX $(UOS) $(INCDIR) $(XINCDIR) $(QINCDIR) $(MINCDIR)
-+CFLAGS  += $(OPTIMIZE) $(COPTIONS) -DUNIX $(UOS) $(INCDIR) $(XINCDIR) $(QINCDIR) $(MINCDIR)
-+CXXFLAGS+= $(OPTIMIZE) $(COPTIONS) -DUNIX $(UOS) $(INCDIR) $(XINCDIR) $(QINCDIR) $(MINCDIR)
- LDFLAGS  = $(OPTIMIZE) $(LIBDIR) $(XLIBDIR) $(QLIBDIR) $(MLIBDIR)
- 
- OEXT     = o
-@@ -77,11 +85,11 @@
- 
- XLIBS    = -lX11
- QLIBS    = -lqt
--VLIBS    = -lgpm -ltermcap
-+#VLIBS    = -lgpm -ltermcap
- MLIBS    = -lXm -lXt
- 
- .cpp.o:
--	$(CC) $(CCFLAGS) -c $<
-+	$(CXX) $(CXXFLAGS) -c $<
- 
- .c.o:
- 	$(CC) $(CCFLAGS) -c $<
diff -urN fte.orig/files/patch-ad fte/files/patch-ad
--- fte.orig/files/patch-ad	Sun Oct  5 01:56:59 2003
+++ fte/files/patch-ad	Wed Dec 31 19:00:00 1969
@@ -1,13 +0,0 @@
---- src/c_hilit.h	Mon Aug 25 03:11:28 1997
-+++ src/c_hilit.h.new	Thu Jun  8 22:08:05 2000
-@@ -128,10 +128,6 @@
-     int TabSize = BFI(BF, BFI_TabSize); \
-     int ExpandTabs = BFI(BF, BFI_ExpandTabs);
- 
--//#define HILIT_VARS2() \
--//    int len1 = len;
--//    char *last = p + len1 - 1;
--
- #define IF_TAB() \
-     if (*p == '\t' && ExpandTabs) { \
-     NC = NextTab(C, TabSize); \
diff -urN fte.orig/files/patch-ba fte/files/patch-ba
--- fte.orig/files/patch-ba	Wed Dec 31 19:00:00 1969
+++ fte/files/patch-ba	Sun Apr 13 14:52:52 2003
@@ -0,0 +1,10 @@
+--- src/sysdep.h.orig	Sun Apr 13 14:43:59 2003
++++ src/sysdep.h	Sun Apr 13 13:54:17 2003
+@@ -38,6 +38,7 @@
+     !defined(IRIX) && \
+     !defined(SCO) && \
+     !defined(SUNOS) && \
++    !defined(FREEBSD) && \
+     !defined(NCR)
+ #    error Target not supported.
+ #endif
diff -urN fte.orig/pkg-plist fte/pkg-plist
--- fte.orig/pkg-plist	Sun Oct  5 01:56:59 2003
+++ fte/pkg-plist	Sun Apr 13 15:25:08 2003
@@ -1,86 +1,101 @@
-bin/fte
 bin/cfte
+bin/fte
 bin/xfte
-etc/fte/system.fterc
-etc/fte/ab_c.fte
-etc/fte/ab_c_os2.fte
-etc/fte/color.fte
-etc/fte/global.fte
-etc/fte/k_brief.fte
-etc/fte/m_ada.fte
-etc/fte/m_asm.fte
-etc/fte/m_asm370.fte
-etc/fte/m_bin.fte
-etc/fte/m_c.fte
-etc/fte/m_clario.fte
-etc/fte/m_diff.fte
-etc/fte/m_ebnf.fte
-etc/fte/m_fort90.fte
-etc/fte/m_fte.fte
-etc/fte/m_html.fte
-etc/fte/m_ipf.fte
-etc/fte/m_java.fte
-etc/fte/m_ldsgml.fte
-etc/fte/m_make.fte
-etc/fte/m_msg.fte
-etc/fte/m_mvsasm.fte
-etc/fte/m_pascal.fte
-etc/fte/m_perl.fte
-etc/fte/m_plain.fte
-etc/fte/m_resdlg.fte
-etc/fte/m_rexx.fte
-etc/fte/m_sh.fte
-etc/fte/m_siod.fte
-etc/fte/m_tcl.fte
-etc/fte/m_tex.fte
-etc/fte/m_texi.fte
-etc/fte/m_text.fte
-etc/fte/m_vi.fte
-etc/fte/m_xp.fte
-etc/fte/main.fte
-etc/fte/pal_blk.fte
-etc/fte/pal_blue.fte
-etc/fte/pal_wht.fte
-etc/fte/ui_brief.fte
-etc/fte/ui_fte.fte
-etc/fte/ui_fte2.fte
-etc/fte/ui_k_fte.fte
-etc/fte/ui_k_fte2.fte
-etc/fte/ui_k_ne.fte
-etc/fte/ui_k_ws.fte
-etc/fte/ui_m_fte.fte
-etc/fte/ui_m_fte2.fte
-etc/fte/ui_m_ne.fte
-etc/fte/ui_m_ws.fte
-etc/fte/ui_mew.fte
-etc/fte/ui_ne.fte
-etc/fte/ui_vi.fte
-etc/fte/ui_ws.fte
-etc/fte/uicstyle.fte
-etc/fte/kbd/k_c.fte
-etc/fte/kbd/k_fte.fte
-etc/fte/kbd/k_html.fte
-etc/fte/kbd/k_java.fte
-etc/fte/kbd/k_perl.fte
-etc/fte/kbd/k_rexx.fte
-etc/fte/menu/m_c.fte
-etc/fte/menu/m_html.fte
-share/doc/fte/about.html
-share/doc/fte/cfgfiles.html
-share/doc/fte/cmdopt.html
-share/doc/fte/colorize.html
-share/doc/fte/colors.html
-share/doc/fte/command.html
-share/doc/fte/contents.html
-share/doc/fte/events.html
-share/doc/fte/global.html
-share/doc/fte/index.html
-share/doc/fte/install.html
-share/doc/fte/modes.html
-share/doc/fte/perftips.html
-share/doc/fte/regexp.html
-share/doc/fte/status.html
-@dirrm share/doc/fte
-@dirrm etc/fte/kbd
-@dirrm etc/fte/menu
-@dirrm etc/fte
+lib/fte/config/ab_c.fte
+lib/fte/config/ab_c_os2.fte
+lib/fte/config/ab_java.fte
+lib/fte/config/ab_rexx.fte
+lib/fte/config/ab_sh.fte
+lib/fte/config/color.fte
+lib/fte/config/global.fte
+lib/fte/config/k_brief.fte
+lib/fte/config/kbd/k_c.fte
+lib/fte/config/kbd/k_fte.fte
+lib/fte/config/kbd/k_html.fte
+lib/fte/config/kbd/k_java.fte
+lib/fte/config/kbd/k_perl.fte
+lib/fte/config/kbd/k_rexx.fte
+lib/fte/config/kbd/k_sgml.fte
+lib/fte/config/m_4gl.fte
+lib/fte/config/m_a51.fte
+lib/fte/config/m_ada.fte
+lib/fte/config/m_asm.fte
+lib/fte/config/m_asm370.fte
+lib/fte/config/m_bin.fte
+lib/fte/config/m_c.fte
+lib/fte/config/m_c_kb.fte
+lib/fte/config/m_clario.fte
+lib/fte/config/m_diff.fte
+lib/fte/config/m_ebnf.fte
+lib/fte/config/m_fort90.fte
+lib/fte/config/m_fte.fte
+lib/fte/config/m_html.fte
+lib/fte/config/m_idl.fte
+lib/fte/config/m_ipf.fte
+lib/fte/config/m_java.fte
+lib/fte/config/m_ldsgml.fte
+lib/fte/config/m_make.fte
+lib/fte/config/m_mod3.fte
+lib/fte/config/m_msg.fte
+lib/fte/config/m_mvsasm.fte
+lib/fte/config/m_pascal.fte
+lib/fte/config/m_perl.fte
+lib/fte/config/m_php.fte
+lib/fte/config/m_plain.fte
+lib/fte/config/m_py.fte
+lib/fte/config/m_resdlg.fte
+lib/fte/config/m_rexx.fte
+lib/fte/config/m_ruby.fte
+lib/fte/config/m_sgml.fte
+lib/fte/config/m_sh.fte
+lib/fte/config/m_siod.fte
+lib/fte/config/m_sl.fte
+lib/fte/config/m_sml.fte
+lib/fte/config/m_sql.fte
+lib/fte/config/m_tcl.fte
+lib/fte/config/m_tex.fte
+lib/fte/config/m_texi.fte
+lib/fte/config/m_text.fte
+lib/fte/config/m_vi.fte
+lib/fte/config/m_xml.fte
+lib/fte/config/m_xp.fte
+lib/fte/config/main.fte
+lib/fte/config/menu/m_c.fte
+lib/fte/config/menu/m_html.fte
+lib/fte/config/menu/m_rexx.fte
+lib/fte/config/menu/m_sgml.fte
+lib/fte/config/mymain.fte
+lib/fte/config/pal_b_kb.fte
+lib/fte/config/pal_base.fte
+lib/fte/config/pal_blk.fte
+lib/fte/config/pal_gray.fte
+lib/fte/config/pal_wht.fte
+lib/fte/config/slang/simple.keylist
+lib/fte/config/slang/slangkbd.map
+lib/fte/config/texput.log
+lib/fte/config/ui_brief.fte
+lib/fte/config/ui_fte.fte
+lib/fte/config/ui_fte2.fte
+lib/fte/config/ui_k_fte.fte
+lib/fte/config/ui_k_fte2.fte
+lib/fte/config/ui_k_ne.fte
+lib/fte/config/ui_k_ws.fte
+lib/fte/config/ui_kb.fte
+lib/fte/config/ui_m_fte.fte
+lib/fte/config/ui_m_fte2.fte
+lib/fte/config/ui_m_kb.fte
+lib/fte/config/ui_m_ne.fte
+lib/fte/config/ui_m_ws.fte
+lib/fte/config/ui_mew.fte
+lib/fte/config/ui_ne.fte
+lib/fte/config/ui_vi.fte
+lib/fte/config/ui_ws.fte
+lib/fte/config/uicstyle.fte
+lib/fte/localconfig/systemmain.fte
+lib/fte/system.fterc
+@dirrm lib/fte/config/kbd
+@dirrm lib/fte/config/menu
+@dirrm lib/fte/config/slang
+@dirrm lib/fte/config
+@dirrm lib/fte/localconfig
+@dirrm lib/fte
